import { M as Metric } from './types-CwTG2XyQ.cjs';
export { a as MetricResult, T as TestInfo } from './types-CwTG2XyQ.cjs';
import { T as ToolAction, A as Agent$1, i as AgentConfig, d as MastraStorage$1, c as MastraMemory$1, j as ToolExecutionContext, k as Step, W as Workflow$1, l as WorkflowOptions } from './base-CMEKtEnE.cjs';
export { a3 as ActionContext, a2 as BaseCondition, B as BaseStructuredOutputType, P as Config, p as CoreAssistantMessage, n as CoreMessage, o as CoreSystemMessage, C as CoreTool, r as CoreToolMessage, q as CoreUserMessage, F as DefaultLLMStreamObjectOptions, z as DefaultLLMStreamOptions, y as DefaultLLMTextObjectOptions, D as DefaultLLMTextOptions, af as DependencyCheckOutput, t as EmbedManyResult, s as EmbedResult, E as EvalRow, al as ExtractSchemaFromStep, ao as ExtractSchemaType, am as ExtractStepResult, G as GenerateReturn, K as LLMInnerStreamOptions, N as LLMStreamObjectOptions, J as LLMStreamOptions, I as LLMTextObjectOptions, H as LLMTextOptions, L as LanguageModel, M as Mastra, R as MemoryConfig, Q as MessageResponse, g as MessageType, O as OutputType, ap as PathsToStringProps, ac as ResolverFunctionInput, ad as ResolverFunctionOutput, a0 as RetryConfig, U as SharedMemoryConfig, Y as StepAction, a6 as StepCondition, a7 as StepConfig, a5 as StepDef, X as StepExecutionContext, $ as StepGraph, ak as StepId, an as StepInputType, _ as StepNode, a8 as StepResult, Z as StepVariableType, S as StorageColumn, h as StorageGetMessagesArg, f as StorageThreadType, x as StreamReturn, w as StructuredOutput, v as StructuredOutputArrayItem, u as StructuredOutputType, ae as SubscriberFunctionOutput, a1 as VariableReference, V as VercelTool, a4 as WhenConditionReturnValue, ah as WorkflowActionParams, ai as WorkflowActions, ag as WorkflowActors, a9 as WorkflowContext, ab as WorkflowEvent, aa as WorkflowLogMessage, ar as WorkflowResumeResult, m as WorkflowRow, aq as WorkflowRunState, aj as WorkflowState, as as createStep } from './base-CMEKtEnE.cjs';
import { M as MastraBase$1 } from './base-DboIg_Cd.cjs';
export { O as OtelConfig, S as SamplingStrategy, T as Telemetry } from './base-DboIg_Cd.cjs';
import { R as RegisteredLogger, a as LogLevel, T as TransportMap, L as Logger } from './index-mKY1XrpK.cjs';
export { B as BaseLogMessage, b as LoggerTransport, M as MultiLogger, c as combineLoggers, n as noopLogger } from './index-mKY1XrpK.cjs';
import { MastraDeployer as MastraDeployer$1 } from './deployer/index.cjs';
export { evaluate } from './eval/index.cjs';
import { Integration as Integration$1, OpenAPIToolset as OpenAPIToolset$1 } from './integration/index.cjs';
export { CohereRelevanceScorer, MastraAgentRelevanceScorer, RelevanceScoreProvider, createSimilarityPrompt } from './relevance/index.cjs';
export { InstrumentClass, OTLPStorageExporter, hasActiveTelemetry, withSpan } from './telemetry/index.cjs';
import { z } from 'zod';
import { Tool as Tool$1 } from './tools/index.cjs';
export { createTool } from './tools/index.cjs';
import { MastraTTS as MastraTTS$1, TTSConfig } from './tts/index.cjs';
export { TagMaskOptions, createMastraProxy, deepMerge, delay, ensureToolProperties, isVercelTool, jsonSchemaPropertiesToTSTypes, jsonSchemaToModel, makeCoreTool, maskStreamTags, resolveSerializedZodOutput } from './utils.cjs';
import { MastraVector as MastraVector$1 } from './vector/index.cjs';
export { CreateIndexArgs, CreateIndexParams, IndexStats, ParamsToArgs, QueryResult, QueryVectorArgs, QueryVectorParams, UpsertVectorArgs, UpsertVectorParams } from './vector/index.cjs';
export { getActivePathsAndStatus, getResultActivePaths, getStepResult, getSuspendedPaths, isErrorEvent, isFinalState, isTransitionEvent, isVariableReference, mergeChildValue, recursivelyCheckForFinalState, updateStepInHierarchy } from './workflows/index.cjs';
export { AvailableHooks, executeHook, registerHook } from './hooks/index.cjs';
export { Message as AiMessageType } from 'ai';
import 'sift';
import 'json-schema';
import '@opentelemetry/api';
import './voice/index.cjs';
import '@opentelemetry/sdk-trace-base';
import 'stream';
import 'pino';
import './bundler/index.cjs';
import '@opentelemetry/core';
import './vector/filter/index.cjs';

declare class Agent<TTools extends Record<string, ToolAction<any, any, any>> = Record<string, ToolAction<any, any, any>>, TMetrics extends Record<string, Metric> = Record<string, Metric>> extends Agent$1<TTools, TMetrics> {
    constructor(config: AgentConfig<TTools, TMetrics>);
}

declare class MastraBase extends MastraBase$1 {
    constructor(args: {
        component?: RegisteredLogger;
        name?: string;
    });
}

declare abstract class MastraDeployer extends MastraDeployer$1 {
    constructor(args: {
        name: string;
        mastraDir: string;
        outputDirectory: string;
    });
}

declare abstract class MastraStorage extends MastraStorage$1 {
    constructor({ name }: {
        name: string;
    });
}

declare class Integration<ToolsParams = void, ApiClient = void> extends Integration$1<ToolsParams, ApiClient> {
    constructor();
}

declare abstract class OpenAPIToolset extends OpenAPIToolset$1 {
    constructor();
}

declare function createLogger(options: {
    name?: string;
    level?: LogLevel;
    transports?: TransportMap;
}): Logger;

declare abstract class MastraMemory extends MastraMemory$1 {
    constructor(_arg?: any);
}

declare class Tool<TSchemaIn extends z.ZodSchema | undefined = undefined, TSchemaOut extends z.ZodSchema | undefined = undefined, TContext extends ToolExecutionContext<TSchemaIn> = ToolExecutionContext<TSchemaIn>> extends Tool$1<TSchemaIn, TSchemaOut, TContext> {
    constructor(opts: ToolAction<TSchemaIn, TSchemaOut, TContext>);
}

declare abstract class MastraTTS extends MastraTTS$1 {
    constructor(args: TTSConfig);
}

declare abstract class MastraVector extends MastraVector$1 {
    constructor();
}

declare class Workflow<TSteps extends Step<any, any, any>[] = any, TTriggerSchema extends z.ZodObject<any> = any> extends Workflow$1<TSteps, TTriggerSchema> {
    constructor(args: WorkflowOptions<TTriggerSchema>);
}

export { Agent, Integration, LogLevel, Logger, MastraBase, MastraDeployer, MastraMemory, MastraStorage, MastraTTS, MastraVector, Metric, OpenAPIToolset, RegisteredLogger, Step, TTSConfig, Tool, ToolAction, ToolExecutionContext, TransportMap, Workflow, WorkflowOptions, createLogger };
