import { a1 as VariableReference, a8 as StepResult } from '../base-CMEKtEnE.cjs';
export { a3 as ActionContext, a2 as BaseCondition, af as DependencyCheckOutput, al as ExtractSchemaFromStep, ao as ExtractSchemaType, am as ExtractStepResult, ap as PathsToStringProps, ac as ResolverFunctionInput, ad as ResolverFunctionOutput, a0 as RetryConfig, k as Step, Y as StepAction, a6 as StepCondition, a7 as StepConfig, a5 as StepDef, X as StepExecutionContext, $ as StepGraph, ak as StepId, an as StepInputType, _ as StepNode, Z as StepVariableType, ae as SubscriberFunctionOutput, a4 as WhenConditionReturnValue, W as Workflow, ah as WorkflowActionParams, ai as WorkflowActions, ag as WorkflowActors, a9 as WorkflowContext, ab as WorkflowEvent, aa as WorkflowLogMessage, l as WorkflowOptions, ar as WorkflowResumeResult, aq as WorkflowRunState, aj as WorkflowState, as as createStep } from '../base-CMEKtEnE.cjs';
import 'ai';
import '../base-DboIg_Cd.cjs';
import '@opentelemetry/api';
import '../index-mKY1XrpK.cjs';
import 'stream';
import 'pino';
import '@opentelemetry/sdk-trace-base';
import 'sift';
import 'zod';
import 'json-schema';
import '../types-CwTG2XyQ.cjs';
import '../deployer/index.cjs';
import '../bundler/index.cjs';
import '../vector/index.cjs';
import '../vector/filter/index.cjs';
import '../tts/index.cjs';
import '../voice/index.cjs';

declare function isErrorEvent(stateEvent: any): stateEvent is {
    type: `xstate.error.actor.${string}`;
    error: Error;
};
declare function isTransitionEvent(stateEvent: any): stateEvent is {
    type: `xstate.done.actor.${string}`;
    output?: unknown;
};
declare function isVariableReference(value: any): value is VariableReference<any, any>;
declare function getStepResult(result?: StepResult<any>): any;
declare function getSuspendedPaths({ value, path, suspendedPaths, }: {
    value: string | Record<string, string>;
    path: string;
    suspendedPaths: Set<string>;
}): void;
declare function isFinalState(status: string): boolean;
declare function recursivelyCheckForFinalState({ value, suspendedPaths, path, }: {
    value: string | Record<string, string>;
    suspendedPaths: Set<string>;
    path: string;
}): boolean;
declare function getActivePathsAndStatus(value: Record<string, any>): Array<{
    stepPath: string[];
    stepId: string;
    status: string;
}>;
declare function mergeChildValue(startStepId: string, parent: Record<string, any>, child: Record<string, any>): Record<string, any>;
declare const updateStepInHierarchy: (value: Record<string, any>, targetStepId: string) => Record<string, any>;
declare function getResultActivePaths(state: {
    value: Record<string, string>;
    context: {
        steps: Record<string, any>;
    };
}): Map<string, {
    status: string;
    suspendPayload?: any;
}>;

export { StepResult, VariableReference, getActivePathsAndStatus, getResultActivePaths, getStepResult, getSuspendedPaths, isErrorEvent, isFinalState, isTransitionEvent, isVariableReference, mergeChildValue, recursivelyCheckForFinalState, updateStepInHierarchy };
